Page MenuHomePhabricator

Update avatar icon
Closed, ResolvedPublic

Description

The avatar icon was reviewed, as a result a single shaped one was created which works better at smaller sizes, but never get into the code, leading to the inconsistencies found in T115419#1909775.

The image below show the currently used icons (left) and the proposed one (right):

  • Vector
  • ContentTranslation
  • Echo
  • MobileFrontend
  • MinervaNeue
  • VisualEditor
  • MultimediaViewer
  • LoginNotify

Details

Related Gerrit Patches:
mediawiki/extensions/LoginNotify : masterUpdate 'UserAvatar' to latest WikimediaUI icon
mediawiki/skins/Vector : masterUpdate user avatar icon
mediawiki/skins/MinervaNeue : masterUpdate user avatar to latest, slightly overhauled iteration
mediawiki/extensions/MobileFrontend : masterUpdate user avatar icon to latest, slightly overhauled iteration
mediawiki/extensions/MultimediaViewer : masterUpdate user avatar icon
mediawiki/extensions/VisualEditor : masterUpdate user avatar icon and make use of OOUI's built-in
mediawiki/extensions/Echo : masterUpdate icons with overhauled user avatar
mediawiki/extensions/ContentTranslation : masterUpdate user avatar icon
oojs/ui : masterMediaWiki theme: Update avatar icon

Event Timeline

Pginer-WMF raised the priority of this task from to Needs Triage.
Pginer-WMF updated the task description. (Show Details)
Pginer-WMF added a project: UI-Standardization.
Pginer-WMF added a subscriber: Pginer-WMF.
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptJan 15 2016, 11:39 PM

Change 264413 had a related patch set uploaded (by Pginer):
Update avatar icon

https://gerrit.wikimedia.org/r/264413

Change 264413 merged by jenkins-bot:
MediaWiki theme: Update avatar icon

https://gerrit.wikimedia.org/r/264413

Volker_E added a subscriber: Volker_E.

@violetto Please update the WikiFont as well.

It's been available on WikiFont for quite some time now. 4th column from the right, 4th row down.

violetto closed this task as Resolved.Feb 23 2016, 5:43 AM

@violetto Oh, so there is https://github.com/munmay/WikiFont/blob/master/svgs/uniE600%20-%20userAvatar.svg still in the svgs folder, that irritated me? Is this just a collection of all files ever?

Volker_E reopened this task as Open.Feb 26 2016, 10:23 PM
Volker_E added a subscriber: violetto.
Danny_B moved this task from Doing… to Unsorted on the UI-Standardization board.May 20 2016, 8:43 PM
Quiddity removed violetto as the assignee of this task.Nov 23 2016, 10:42 PM
Quiddity set Security to None.

Change 465478 had a related patch set uploaded (by VolkerE; owner: VolkerE):
[mediawiki/skins/Vector@master] Update user avatar icon

https://gerrit.wikimedia.org/r/465478

Volker_E added a comment.EditedOct 9 2018, 7:48 PM

The alignment with the base line is still not there (as it hasn't been there for a while due to historic reasons of not relying on display: inline-block for cross-browser support.

We could consider that… Should be done in a follow-up patch though.

Volker_E edited subscribers, added: RHo, alexhollender; removed: violetto.Oct 9 2018, 7:48 PM
Volker_E added a subscriber: iamjessklein.

Change 465524 had a related patch set uploaded (by VolkerE; owner: VolkerE):
[mediawiki/extensions/ContentTranslation@master] Update user avatar icon

https://gerrit.wikimedia.org/r/465524

Volker_E updated the task description. (Show Details)Oct 10 2018, 5:23 AM
Volker_E updated the task description. (Show Details)Oct 10 2018, 5:35 AM

Change 465556 had a related patch set uploaded (by VolkerE; owner: VolkerE):
[mediawiki/extensions/Echo@master] Update icons with overhauled user avatar

https://gerrit.wikimedia.org/r/465556

Change 465524 merged by jenkins-bot:
[mediawiki/extensions/ContentTranslation@master] Update user avatar icon

https://gerrit.wikimedia.org/r/465524

Volker_E updated the task description. (Show Details)Oct 10 2018, 4:35 PM
Volker_E updated the task description. (Show Details)Oct 10 2018, 10:02 PM

Change 465556 merged by jenkins-bot:
[mediawiki/extensions/Echo@master] Update icons with overhauled user avatar

https://gerrit.wikimedia.org/r/465556

Change 465478 merged by jenkins-bot:
[mediawiki/skins/Vector@master] Update user avatar icon

https://gerrit.wikimedia.org/r/465478

Change 465806 had a related patch set uploaded (by VolkerE; owner: VolkerE):
[mediawiki/skins/MinervaNeue@master] Update user avatar to latest, slightly overhauled iteration

https://gerrit.wikimedia.org/r/465806

Change 465809 had a related patch set uploaded (by VolkerE; owner: VolkerE):
[mediawiki/extensions/MobileFrontend@master] Update user avatar icon to latest, slightly overhauled iteration

https://gerrit.wikimedia.org/r/465809

Volker_E updated the task description. (Show Details)Oct 11 2018, 1:21 AM

Change 465813 had a related patch set uploaded (by VolkerE; owner: VolkerE):
[mediawiki/extensions/VisualEditor@master] Update user avatar icon and make use of OOUI's built-in

https://gerrit.wikimedia.org/r/465813

The icons in VisualEditor in question:

Volker_E triaged this task as High priority.Oct 11 2018, 1:36 AM

Change 465976 had a related patch set uploaded (by VolkerE; owner: VolkerE):
[mediawiki/extensions/MultimediaViewer@master] Update user avatar icon

https://gerrit.wikimedia.org/r/465976

Volker_E updated the task description. (Show Details)Oct 11 2018, 6:29 AM

Instance of MultimediaViewer with both user icon usages currently:

Change 465813 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] Update user avatar icon and make use of OOUI's built-in

https://gerrit.wikimedia.org/r/465813

Change 465976 merged by jenkins-bot:
[mediawiki/extensions/MultimediaViewer@master] Update user avatar icon

https://gerrit.wikimedia.org/r/465976

Volker_E updated the task description. (Show Details)Oct 11 2018, 7:11 PM

Change 465809 merged by jenkins-bot:
[mediawiki/extensions/MobileFrontend@master] Update user avatar icon to latest, slightly overhauled iteration

https://gerrit.wikimedia.org/r/465809

Volker_E closed this task as Resolved.Oct 11 2018, 9:29 PM
Volker_E claimed this task.
Volker_E removed a project: Patch-For-Review.
Volker_E updated the task description. (Show Details)

Change 465806 merged by jenkins-bot:
[mediawiki/skins/MinervaNeue@master] Update user avatar to latest, slightly overhauled iteration

https://gerrit.wikimedia.org/r/465806

Volker_E reopened this task as Open.Oct 19 2018, 1:15 AM
Volker_E updated the task description. (Show Details)

LoginNotify is missing:

Change 476077 had a related patch set uploaded (by VolkerE; owner: VolkerE):
[mediawiki/extensions/LoginNotify@master] Update 'UserAvatar' to latest WikimediaUI icon

https://gerrit.wikimedia.org/r/476077

Change 476077 merged by jenkins-bot:
[mediawiki/extensions/LoginNotify@master] Update 'UserAvatar' to latest WikimediaUI icon

https://gerrit.wikimedia.org/r/476077

Volker_E closed this task as Resolved.Nov 27 2018, 6:45 PM
Volker_E removed a project: Patch-For-Review.
Volker_E updated the task description. (Show Details)
Volker_E removed a subscriber: gerritbot.
Volker_E raised the priority of this task from High to Needs Triage.Feb 13 2019, 6:49 PM
Volker_E moved this task from Backlog to Done on the UI-Standardization-Kanban board.
Volker_E triaged this task as High priority.Feb 13 2019, 7:34 PM